package managedbean.common;

import java.util.ArrayList;
import java.util.List;

public class ThemeService {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static final String DEFAULT_THEME = "nova-light";
	public static final List<Theme> THEMES = new ArrayList<Theme>() {
		{
			int i = 1;
			add(new Theme(i++, "afterdark", "afterdark"));
			add(new Theme(i++, "afternoon", "afternoon"));
			add(new Theme(i++, "afterwork", "afterwork"));
			add(new Theme(i++, "aristo", "aristo"));
			add(new Theme(i++, "black-tie", "black-tie"));
			add(new Theme(i++, "blitzer", "blitzer"));
			add(new Theme(i++, "bluesky", "bluesky"));
			add(new Theme(i++, "bootstrap", "bootstrap"));
			add(new Theme(i++, "casablanca", "casablanca"));
			add(new Theme(i++, "cruze", "cruze"));
			add(new Theme(i++, "cupertino", "cupertino"));
			add(new Theme(i++, "dark-hive", "dark-hive"));
			add(new Theme(i++, "dot-luv", "dot-luv"));
			add(new Theme(i++, "eggplant", "eggplant"));
			add(new Theme(i++, "excite-bike", "excite-bike"));
			add(new Theme(i++, "flick", "flick"));
			add(new Theme(i++, "glass-x", "glass-x"));
			add(new Theme(i++, "home", "home"));
			add(new Theme(i++, "hot-sneaks", "hot-sneaks"));
			add(new Theme(i++, "humanity", "humanity"));
			add(new Theme(i++, "le-frog", "le-frog"));
			add(new Theme(i++, "midnight", "midnight"));
			add(new Theme(i++, "mint-choc", "mint-choc"));
			add(new Theme(i++, "nova-light", "nova-light"));
			add(new Theme(i++, "overcast", "overcast"));
			add(new Theme(i++, "pepper-grinder", "pepper-grinder"));
			add(new Theme(i++, "redmond", "redmond"));
			add(new Theme(i++, "rocket", "rocket"));
			add(new Theme(i++, "sam", "sam"));
			add(new Theme(i++, "smoothness", "smoothness"));
			add(new Theme(i++, "south-street", "south-street"));
			add(new Theme(i++, "start", "start"));
			add(new Theme(i++, "sunny", "sunny"));
			add(new Theme(i++, "swanky-purse", "swanky-purse"));
			add(new Theme(i++, "trontastic", "trontastic"));
			add(new Theme(i++, "ui-darkness", "ui-darkness"));
			add(new Theme(i++, "ui-lightness", "ui-lightness"));
			add(new Theme(i++, "vader", "vader"));
		}
	};
}
